#include <interface/View.h>
#include "imagebutton.h"

extern uint8 ButtonNew[];
extern uint8 ButtonOpen[];
extern uint8 ButtonSave[];
extern uint8 ButtonCut[];
extern uint8 ButtonCopy[];
extern uint8 ButtonPaste[];
extern uint8 ButtonFind[];

extern unsigned int BUTTON_HEIGHT;


using namespace os;

class ButtonBar : public CView
{
	public:
		ButtonBar(const CRect &cFrame, const char* cName);

	private:
		ImageButton* sNewButton;
		ImageButton* sLoadButton;
		ImageButton* sSaveButton;
		ImageButton* sCutButton;
		ImageButton* sCopyButton;
		ImageButton* sPasteButton;
		ImageButton* sFindButton;
};
