#include <interface/TextView.h>
#include <interface/Menu.h>


using namespace os;

class EditTextView : public TextView
{
	public:
		EditTextView(const CRect& cWindowBounds, char* pzTitle, char* pzBuffer, uint32 nResizeMask , uint32 nFlags);
		void AttachedToWindow(void);
		void MouseDown(CPoint cPosition);
		void KeyDown(const char* cString, const char* cRawString, uint32 nQualifiers);
		int Find(std::string sOriginal, std::string sFind, bool bCaseSensitive, int iStartPosition);

	private:
		CMenu* sContextMenu;
};
