#ifndef _GOTO_LAYOUT_VIEW_
#define _GOTO_LAYOUT_VIEW_

#include <layoutview.h>
#include <interface/Button.h>
#include <interface/TextView.h>

using namespace os;

class GotoLayoutView : public LayoutView
{
	public:
		GotoLayoutView( const CRect &cFrame);
		int32 GetLineNo(void);

	private:
		HLayoutNode* pcHLayoutNode;
		VLayoutNode* pcInputNode;
		VLayoutNode* pcButtonNode;

		CButton* pcGotoButton;
		CButton* pcCloseButton;

		TextView* pcLineNoTextView;
};

#endif
