//  AEdit 0.5.1 -:-  (C)opyright 2000-2001 Kristian Van Der Vliet
//
// This is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#include <app/Application.h>
#include "aedit.h"

int main(int argc, char* argv[]);

using namespace os;

class AEditApp : public CApplication
{
	public:
		AEditApp(char* cFilename);
		AEditApp();
   
	private:
		AEditWindow* pcMainWindow;
};

int main(int argc, char* argv[])
{

	AEditApp* pcAEditApp;

	if(argc>1)
	{
		pcAEditApp = new AEditApp(argv[1]);
	}
	else
	{
		pcAEditApp = new AEditApp();
	}

	pcAEditApp->Run();
	return(0);

}

AEditApp::AEditApp(char* cFilename) : CApplication( "application/x-VND.Vanders-AEdit")
{
	pcMainWindow = new AEditWindow(CRect(100,125,700,500));

	pcMainWindow->LoadAtStart(cFilename);

	pcMainWindow->Show();
	pcMainWindow->Activate();

}

AEditApp::AEditApp() : CApplication( "application/x-VND.Vanders-AEdit")
{
	pcMainWindow = new AEditWindow(CRect(100,125,700,500));

	pcMainWindow->Show();
	pcMainWindow->Activate();

}
