/*

	RLFField.h

	(c) 1998-99 Robert Lanziner-Furtenbach

*/

#ifndef RLF_FIELDS_H
#define RLF_FIELDS_H

#include <MenuField.h>
#include <interface/PopUpMenu.h>


#define Msg_Cancel			'FMca'
#define Msg_Font_Changed	'FMfc'
#define Msg_Size_Changed	'FMsc'

class RLFFontField : public BMenuField {

public:
			RLFFontField ( BRect r );
	void	SetFontFamily ( font_family family );
	void	GetFontFamily ( font_family *family );

private:
	BPopUpMenu	*PopUp;

};

class RLFFontSize : public BMenuField {

public:
			RLFFontSize ( BRect r, int16 min, int16 max );
	void	SetFontSize ( int32 size );
	void	GetFontSize ( int32 *size );

private:
	BPopUpMenu	*PopUp;

};

#endif
