/*This is diswindow.cpp*/

#include <app/Application.h>
#include "diswindow.h"
#include "disview.h"

#include <iostream.h>
#include <support/String.h>


DisWindow::DisWindow (BRect aRect)
	: BWindow ( aRect,"Discordian Calendar", B_TITLED_WINDOW, B_NOT_V_RESIZABLE) 
									// make a window (DisWindow) based on BWindow class 

{											// make this stuff see AddChild Below

	SetupMenus();
	
	DisView *pMyView;						// Gimmie a new pointer to  a view called pMyView - I put p in
											// front of a variable to designate that it is a pointer
	BRect bRect ( Bounds());				// Gimmie a rect based on the window's bounds
	bRect.top += 17;
	pMyView = new DisView(bRect, "aView", "Guido");		// Make a view with aRect borders, called aView,
											// Dump Astring into it
	
	AddChild( pMyView );					// Attach the above stuff to the window
	
	return;
}

bool DisWindow :: QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);	// if you say Quit, Quit
	return (true);
}


void DisWindow::SetupMenus()
{
	BRect cMenuFrame = Bounds();
	BRect cMainFrame = cMenuFrame;
	cMenuFrame.bottom = 16;

	m_pcMenu = new BMenu( cMenuFrame, "Menu",
						os::CF_FOLLOW_LEFT | os::CF_FOLLOW_RIGHT | os::CF_FOLLOW_TOP,
						os::WID_FULL_UPDATE_ON_H_RESIZE,
						B_ITEMS_IN_ROW );

	BMenu* pcItem1 = new BMenu( BRect( 0, 0, 100, 20 ), "File", os::ITEMS_IN_COLUMN, os::CF_FOLLOW_LEFT | os::CF_FOLLOW_TOP );

	pcItem1->AddItem( "Quit", new BMessage( B_QUIT_REQUESTED ) );

	m_pcMenu->AddItem( pcItem1 );

	m_pcMenu->GetPreferredSize( NULL, &cMenuFrame.bottom );
	cMenuFrame.bottom -= 1.0f;
	cMainFrame.top = cMenuFrame.bottom + 1;

	m_pcMenu->SetFrame( cMenuFrame );

	m_pcMenu->SetTargetForItems( this );

	AddChild( m_pcMenu );
}
