#include <appserver/keymap.h>

keymap g_sDefaultKeyMap =
{
    
    0x3b, // CapsLock
    0x0f, // ScrollLock
    0x22, // NumLock
    0x4b, // LShift
    0x56, // RShift
    0x5d, // LCommand
    0x67, // RCommand
    0x5c, // LControl
    0x60, // RControl
    0x66, // LOption
    0x5f, // ROption
    0x68, // Menu
    0x00, // LockSetting
    {
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },        /* 01        */
        {0x1b  ,   0x1b  ,   0x1b  , 0x1b  ,   0x1b  ,   0x1b  ,   0x1b  ,   0x1b  ,   0x1b },        /* 02        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 03        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 04        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 05        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 06        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 07        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 08        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 09        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 10        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 11        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 12        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 13        */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 14         */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 15         */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 16         */
        {0x10  ,   0x10  ,   0x10  , 0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10  ,   0x10 },        /* 17         */
        {'|'   ,   0xc2a7,   0x1c  , 0xc2a6,   0xc2b6,   0xc2a7,   '|'   ,   '|'   ,   '|'  },        /* 18         */
        {'1'   ,   '!'   ,   '1'   , 0xc2a1,   0xc2b9,   '!'   ,   '1'   ,   '1'   ,   '1'  },        /* 19         */
        {'2'   ,   '"'   ,   0x00  , '@'   ,   0xc2b2,   '"'   ,   '2'   ,   '2'   ,   '2'  },        /* 20         */
        {'3'   ,   '#'   ,   0x1b  , 0xc2a3,   0xc2b3,   '#'   ,   '3'   ,   '3'   ,   '3'  },        /* 21         */
        {'4'   ,   0xc2a4,   0x1c  , '$'   ,   0xc2bc,   '$'   ,   '4'   ,   '4'   ,   '4'  },        /* 22         */
        {'5'   ,   '%'   ,   0x1d  , 0xc2bd,   0xc2bd,   '%'   ,   '5'   ,   '5'   ,   '5'  },        /* 23         */
        {'6'   ,   '&'   ,   0x1e  , 0xc2be,   0xc2be,   '&'   ,   '6'   ,   '6'   ,   '6'  },        /* 24         */
        {'7'   ,   '/'   ,   0x1f  , '{'   ,   0xc3b7,   '/'   ,   '7'   ,   '7'   ,   '7'  },        /* 25         */
        {'8'   ,   '('   ,   0x08  , '['   ,   '8'   ,   '('   ,   '8'   ,   '8'   ,   '8'  },        /* 26         */
        {'9'   ,   ')'   ,   '9'   , ']'   ,   '9'   ,   ')'   ,   '9'   ,   '9'   ,   '9'  },        /* 27         */
        {'0'   ,   '='   ,   '0'   , '}'   ,   '0'   ,   '='   ,   '0'   ,   '0'   ,   '0'  },        /* 28         */
        {'+'   ,   '?'   ,   '+'   , 0xc2b1,   0xc2bf,   '?'   ,   '+'   ,   '+'   ,   '+'  },        /* 29         */
        {'\\'  ,   '`'   ,   0x1c  , 0xeea480, 0xeea481, '`'   ,   '\\'  ,   '\\'  ,   '\\' },        /* 30         */
        {0x08  ,   0x08  ,   0x1f  , 0x08  ,   0x08  ,   0x08  ,   0x08  ,   0x08  ,   0x08 },        /* 31         */
        {0x05  ,   0x05  ,   0x05  , 0x05  ,   0x05  ,   0x05  ,   0x05  ,   0x05  ,   0x05 },        /* 32         */
        {0x01  ,   0x01  ,   0x01  , 0x01  ,   0x01  ,   0x01  ,   0x01  ,   0x01  ,   0x01 },        /* 33         */
        {0x0b  ,   0x0b  ,   0x0b  , 0x0b  ,   0x0b  ,   0x0b  ,   0x0b  ,   0x0b  ,   0x0b },        /* 34         */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },        /* 35         */
        {'/'   ,   '/'   ,   '/'   , '/'   ,   '/'   ,   '/'   ,   '/'   ,   '/'   ,   '/'  },        /* 36         */
        {'*'   ,   '*'   ,   '*'   , '*'   ,   '*'   ,   '*'   ,   '*'   ,   '*'   ,   '*'  },        /* 37         */
        {'-'   ,   '-'   ,   '-'   , '-'   ,   '-'   ,   '-'   ,   '-'   ,   '-'   ,   '-'  },        /* 38         */
        {0x09  ,   0x09  ,   0x09  , 0x09  ,   0x09  ,   0x09  ,   0x09  ,   0x09  ,   0x09 },        /* 39         */
        {'q'   ,   'Q'   ,   0x11  , 'q'   ,   'q'   ,   'Q'   ,   'q'   ,   'q'   ,   'q'  },        /* 40         */
        {'w'   ,   'W'   ,   0x17  , 'w'   ,   'w'   ,   'W'   ,   'w'   ,   'w'   ,   'w'  },        /* 41         */
        {'e'   ,   'E'   ,   'e'   , 0xc3a9,   0xc389,   'E'   ,   'e'   ,   'e'   ,   'e'  },        /* 42         */
// 'e' ,{   'E'   ,   0x05  , 0xc3a9,   0xc389,   'E'   ,   'e'   ,   'e'   ,   'e'  ,        /* 42         */
        {'r'   ,   'R'   ,   0x12  , 0xc2ae,   'r'   ,   'R'   ,   'r'   ,   'r'   ,   'r'  },        /* 43         */
        {'t'   ,   'T'   ,   0x14  , 0xc3be,   0xc39e,   'T'   ,   't'   ,   't'   ,   't'  },        /* 44         */
        {'y'   ,   'Y'   ,   0x19  , 0xc3bf,   0xc2a5,   'Y'   ,   'y'   ,   'y'   ,   'y'  },        /* 45         */
        {'u'   ,   'U'   ,   0x15  , 0xc3bc,   0xc39c,   'U'   ,   'u'   ,   'u'   ,   'u'  },        /* 46         */
        {'i'   ,   'I'   ,   0x09  , 0xc3af,   0xc38f,   'I'   ,   'i'   ,   'i'   ,   'i'  },        /* 47         */
        {'o'   ,   'O'   ,   0x0f  , 0xc3b2,   0xc392,   'O'   ,   'o'   ,   'o'   ,   'o'  },        /* 48         */
        {'p'   ,   'P'   ,   0x10  , 0xc2b6,   'p'   ,   'P'   ,   'p'   ,   'p'   ,   'p'  },        /* 49         */

        {''         ,   '^'   ,   0x1d  , '~'   ,   ']'   ,   0xc385,   0xc3a5,   0xc3a5,   0xc3a5},         /* 50         */
// 0xc3a5, 0xc385,   0x1d, '}'     ,   ']'   ,   0xc385,   0xc3a5,   0xc3a5,   0xc3a5,        /* 50         */

        {0xeea483, 0xeea482, 0x1e  , '~'   ,   0xeea484, '^'   ,   '~'   ,   '~'   ,   '~'  },        /* 51         */
        {'\''  ,   '*'   ,   '\''  , 0xeea482, 0xc397,   '*'   ,   '\''  ,   '\''  ,   '\'' },        /* 52         */
        {0x7f  ,   0x7f  ,   0x7f  , 0x7f  ,   0x7f  ,   0x7f  ,   0x7f  ,   0x7f  ,   0x7f },        /* 53         */
        {0x04  ,   0x04  ,   0x04  , 0x04  ,   0x04  ,   0x04  ,   0x04  ,   0x04  ,   0x04 },        /* 54         */
        {0x0c  ,   0x0c  ,   0x0c  , 0x0c  ,   0x0c  ,   0x0c  ,   0x0c  ,   0x0c  ,   0x0c },        /* 55         */
        {0x01  ,   '7'   ,   0x01  , 0x01  ,   '7'   ,   '7'   ,   0x01  ,   0x01  ,   '7'  },        /* 56         */
        {0x1e  ,   '8'   ,   0x1e  , 0x1e  ,   '8'   ,   '8'   ,   0x1e  ,   0x1e  ,   '8'  },        /* 57         */
        {0x0b  ,   '9'   ,   0x0b  , 0x0b  ,   '9'   ,   '9'   ,   0x0b  ,   0x0b  ,   '9'  },        /* 58         */
        {'+'   ,   '+'   ,   '+'   , '+'   ,   '+'   ,   '+'   ,   '+'   ,   '+'   ,   '+'  },        /* 59         */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },        /* 60         */
        {'a'   ,   'A'   ,   0x01  , 0xc3a1,   0xc381,   'A'   ,   'a'   ,   'a'   ,   'a'  },        /* 61         */
        {'s'   ,   'S'   ,   0x13  , 0xc39f,   's'   ,   'S'   ,   's'   ,   's'   ,   's'  },        /* 62         */
        {'d'   ,   'D'   ,   0x04  , 0xc3b0,   0xc390,   'D'   ,   'd'   ,   'd'   ,   'd'  },        /* 63         */
        {'f'   ,   'F'   ,   0x06  , 0xc2aa,   0xc2aa,   'F'   ,   'f'   ,   'f'   ,   'f'  },        /* 64         */
        {'g'   ,   'G'   ,   0x07  , 'g'   ,   'g'   ,   'G'   ,   'g'   ,   'g'   ,   'g'  },        /* 65         */
        {'h'   ,   'H'   ,   0x08  , 'h'   ,   'h'   ,   'H'   ,   'h'   ,   'h'   ,   'h'  },        /* 66         */
        {'j'   ,   'J'   ,   0x0a  , 'j'   ,   'j'   ,   'J'   ,   'j'   ,   'j'   ,   'j'  },        /* 67         */
        {'k'   ,   'K'   ,   0x0b  , 'k'   ,   'k'   ,   'K'   ,   'k'   ,   'k'   ,   'k'  },        /* 68         */
        {'l'   ,   'L'   ,   0x0c  , 'l'   ,   'l'   ,   'L'   ,   'l'   ,   'l'   ,   'l'  },        /* 69         */
        {0xc3b8,   0xc398,   0x1c  , '|'   ,   '\\'  ,   0xc398,   0xc3b8,   0xc3b8,   0xc3b8},/* 70         */
        {0xc3a6,   0xc386,   0x1b  , '{'   ,   '['   ,   0xc386,   0xc3a6,   0xc3a6,   0xc3a6},/* 71         */
        {0x0a  ,   0x0a  ,   0x0a  , 0x0a  ,   0x0a  ,   0x0a  ,   0x0a  ,   0x0a  ,   0x0a },        /* 72         */
        {0x1c  ,   '4'   ,   0x1c  , 0x1c  ,   '4'   ,   '4'   ,   0x1c  ,   0x1c  ,   '4'  },        /* 73         */
        {0x00  ,   '5'   ,   0x00  , 0x00  ,   '5'   ,   '5'   ,   0x00  ,   0x00  ,   '5'  },        /* 74         */
        {0x1d  ,   '6'   ,   0x1d  , 0x1d  ,   '6'   ,   '6'   ,   0x1d  ,   0x1d  ,   '6'  },        /* 75         */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },        /* 76         */
        {'z'   ,   'Z'   ,   0x1a  , 'z'   ,   'z'   ,   'Z'   ,   'z'   ,   'z'   ,   'z'  },        /* 77         */
// 'x'  { ,   'X' ,   0x18  , 0xc397,   'x'   ,   'X'   ,   'x'   ,   'x'   ,   'x'  ,        /* 78         */
        {'x'   ,   'X'   ,   0x18  , 'x'   ,   'x'   ,   'X'   ,   'x'   ,   'x'   ,   'x'  },        /* 78         */
        {'c'   ,   'C'   ,   0x03  , 0xc3a7,   0xc2a9,   'C'   ,   'c'   ,   'c'   ,   'c'  },        /* 79         */
        {'v'   ,   'V'   ,   0x16  , 'v'   ,   'v'   ,   'V'   ,   'v'   ,   'v'   ,   'v'  },        /* 80         */
        {'b'   ,   'B'   ,   0x02  , 'b'   ,   'b'   ,   'B'   ,   'b'   ,   'b'   ,   'b'  },        /* 81         */
        {'n'   ,   'N'   ,   0x0e  , 0xc3b1,   0xc391,   'N'   ,   'n'   ,   'n'   ,   'n'  },        /* 82         */
        {'m'   ,   'M'   ,   0x0d  , 0xc2b5,   0xc2ba,   'M'   ,   'm'   ,   'm'   ,   'm'  },        /* 83         */
        {','   ,   ';'   ,   ','   , 0xc2b8,   0xc2ab,   ';'   ,   ','   ,   ','   ,   ','  },                /* 84         */
        {'.'   ,   ':'   ,   '.'   , 0xc2b7,   0xc2bb,   ':'   ,   '.'   ,   '.'   ,   '.'  },                /* 85         */
        {'-'   ,   '_'   ,   0x1f  , 0xc2ad,   '-'   ,   '_'   ,   '-'   ,   '-'   ,   '-'  },                /* 86         */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 87         */
        {0x1e  ,   0x1e  ,   0x1e  , 0x1e  ,   0x1e  ,   0x1e  ,   0x1e  ,   0x1e  ,   0x1e },                /* 88         */
        {0x04  ,   '1'   ,   0x04  , 0x04  ,   '1'   ,   '1'   ,   0x04  ,   0x04  ,   '1'  },                /* 89         */
        {0x1f  ,   '2'   ,   0x1f  , 0x1f  ,   '2'   ,   '2'   ,   0x1f  ,   0x1f  ,   '2'  },                /* 90         */
        {0x0c  ,   '3'   ,   0x0c  , 0x0c  ,   '3'   ,   '3'   ,   0x0c  ,   0x0c  ,   '3'  },                /* 91         */
        {0x0a  ,   0x0a  ,   0x0a  , 0x0a  ,   0x0a  ,   0x0a  ,   0x0a  ,   0x0a  ,   0x0a },                /* 92         */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 93         */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 94         */
        {' '   ,   ' '   ,   0x00  , 0xc2a0,   0xc2a0,   ' '   ,   ' '   ,   ' '   ,   ' '  },                /* 95         */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 96         */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 97         */
        {0x1c  ,   0x1c  ,   0x1c  , 0x1c  ,   0x1c  ,   0x1c  ,   0x1c  ,   0x1c  ,   0x1c },                /* 98         */
        {0x1f  ,   0x1f  ,   0x1f  , 0x1f  ,   0x1f  ,   0x1f  ,   0x1f  ,   0x1f  ,   0x1f },                /* 99         */
        {0x1d  ,   0x1d  ,   0x1d  , 0x1d  ,   0x1d  ,   0x1d  ,   0x1d  ,   0x1d  ,   0x1d },                /* 100        */
        {0x05  ,   '0'   ,   0x05  , 0x05  ,   '0'   ,   '0'   ,   0x05  ,   0x05  ,   '0'  },                /* 101        */
        {0x7f  ,   '.'   ,   0x7f  , 0x7f  ,   '.'   ,   '.'   ,   0x7f  ,   0x7f  ,   '.'  },                /* 102        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 103        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 104        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 105        */
        {'<'   ,   '>'   ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 106        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 107        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 108        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 109        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 110        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 111        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 112        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 113        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 114        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 115        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 116        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 117        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 118        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 119        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 120        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 121        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 122        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 123        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 124        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 125        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 126        */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 },                /* 127  */
        {0x00  ,   0x00  ,   0x00  , 0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00  ,   0x00 }                /* 128 */
    }
};
