/*  libcosmoe.so - the interface to the Cosmoe UI
 *  Copyright (C) 2001-2002 Bill Hayden
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2 as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA
 */

 

#ifndef _CURSOR_H
#define _CURSOR_H

#define BCursor		os::Cursor

namespace os {

class Cursor
{
public:
						Cursor(const void *cursorData);
virtual					~Cursor();

private:

virtual	void			FBC_Cursor1();
virtual	void			FBC_Cursor2();
virtual	void			FBC_Cursor3();
virtual	void			FBC_Cursor4();

friend class	Application;
friend class	View;

		void*			mCursorData;
		size_t			mDataSize;

		uint32			FBC_Var[6];
};

}


#endif
