/*  libcosmoe.so - the interface to the Cosmoe UI
 *  Portions Copyright (C) 2001-2002 Bill Hayden
 *  Portions Copyright (C) 1999-2001 Kurt Skauen
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2 as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA
 */

#ifndef __QUERY_H__
#define __QUERY_H__

#include <limits.h>
#include <support/SupportDefs.h>
#include <storage/EntryList.h>
#include <cosmoe/OS.h>

#define BQuery		os::CQuery

namespace os
{

class CQuery : public CEntryList
{
public:
						CQuery();
	virtual				~CQuery();
	
	virtual status_t	GetNextEntry( CEntry* inRef, bool inTraverse=false ) { return -1; }
	
// These are unused in a query, but must be defined:
	
	virtual status_t	Rewind() { return -1; }
};


}

#endif
