#include <interface/Window.h>
#include "findlayout.h"

using namespace os;

class FindDialog : public CWindow
{
	public:
		FindDialog(const CRect& cFrame, CWindow* pcParent);
		void MessageReceived(CMessage* pcMessage);
	private:
		CWindow* pcParentWindow;
		FindLayoutView* pcMainLayoutView;
};


class ReplaceDialog : public CWindow
{
	public:
		ReplaceDialog(const CRect& cFrame, CWindow* pcParent);
		void MessageReceived(CMessage* pcMessage);
	private:
		CWindow* pcParentWindow;
		ReplaceLayoutView* pcMainLayoutView;
};
