#ifndef _IMAGE_BUTTON_
#define _IMAGE_BUTTON_

#include <interface/Button.h>
#include <interface/Bitmap.h>


using namespace os;

class ImageButton : public CButton
{
	public:
		ImageButton(CRect cFrame, const char* pzName, const char* pzLabel, CMessage* pcMessage);
		void Draw(CRect cUpdateRect);
		void SetBitmap(uint8* pData, uint iNumBytes);

	private:
		CBitmap* pcButtonImage;
};


#endif
