/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
#include <iostream.h>

#include <interface/Window.h>
#include <app/Application.h>
#include <support/Beep.h>
#include <interface/Screen.h>

#include "Calculator.h"
#include "CalcWindow.h"



/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
int main(int argc, char **argv)
{
	CalculatorApp app;
	app.Run();

	return B_NO_ERROR;
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
CalculatorApp::CalculatorApp()
		  		  : BApplication("application/x-vnd.Cosmoecalc")
{
	wind = new CalcWindow(BPoint(20.0f, 70.0f));
	wind->Show();
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
void CalculatorApp::AboutRequested()
{
	CalcView::About();
}
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
