/*

	RLFDebug.h
	
	i like it simple
	standard output means, when started in terminal, written there

*/
#ifndef RLF_DEBUG_H
#define RLF_DEBUG_H

#include <stdio.h>

#define DEBUG 1

// all macros will only be executed if DEBUG = 1

#if DEBUG
	#define DEBUG_EXEC(ARGS)	ARGS
// usage for example: DEBUG_EXEC ( message->PrintToStream() );

	#define DEBUG_PRINT(ARGS)	\
		printf(ARGS);			\
		printf("\n");
//usage for example: DEBUG_PRINT ( "Hello World" );

	#define DEBUG_PRINTF(ARGS)	\
		printf ARGS;			\
		printf("\n");
// usage for example: DEBUG_PRINTF (( "%s", string));

#else
	#define DEBUG_EXEC(ARGS)	(void)0
	#define DEBUG_PRINT(ARGS)	(void)0
	#define DEBUG_PRINTF(ARGS)	(void)0
#endif

#endif
