/*
	
	RLFMain.h

	(c) 1998-99 Robert Lanziner-Furtenbach
	
*/

#ifndef RLF_MAIN_H
#define RLF_MAIN_H

#include <app/Application.h>
#include <storage/FilePanel.h>

extern const char *APP_SIG;

//RLF Application class

class RLFApp : public BApplication 
{
public:
				RLFApp ();									// Constructor
virtual 		~RLFApp ();									// Destructor
virtual void	AboutRequested ();							// show About-box
virtual void	MessageReceived ( BMessage *message );		// handle messages 
virtual void 	RefsReceived ( BMessage *message );			// handle file-references
virtual	void	ArgvReceived ( int32 argc, char **argv );	// handle commandline
virtual void	ReadyToRun	( void );						// called if no ref or parameter on startup

private:
		void	NewWindow	( entry_ref *ref );				// creates a new text-window 
		
	uint32		WinCnt;										// the real windowcount (number of text-windows)
	BRect		WRect;										// rectangle for next Window
	BFilePanel	*OpenPanel;									// FilePanel for opening files
	BMessage	ValueMsg;									// Message for settings
	BMessage	DefaultMsg;									// Message for standard-stettings
};

#endif //RLF_MAIN_H
