/*  libcosmoe.so - the interface to the Cosmoe UI
 *  Copyright (C) 2002 Bill Hayden
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License version 2 as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA
 */

 
#include <interface/PopUpMenu.h>


using namespace os;

CPopUpMenu::CPopUpMenu(	const char *inName,
						bool inRadioMode,
						bool inAutoRename,
						MenuLayout_e inLayout ) : CMenu(inName, inLayout)
{
	mAutoRename = inAutoRename;
	
	if (inRadioMode || inAutoRename)
		SetRadioMode(true);
}


CPopUpMenu::~CPopUpMenu()
{
}


CMenuItem*	CPopUpMenu::Go( CPoint where,
							bool delivers_message,
							bool open_anyway,
							bool async)
{
	return NULL;
}


CMenuItem*	CPopUpMenu::Go( CPoint where,
							bool delivers_message,
							bool open_anyway,
							CRect click_to_open,
							bool async )
{
	return NULL;
}

void	CPopUpMenu::MessageReceived(CMessage *msg)
{
}


void	CPopUpMenu::MouseDown(CPoint pt)
{
}


void	CPopUpMenu::MouseUp(CPoint pt)
{
}


void	CPopUpMenu::MouseMoved(CPoint pt, uint32 code, const CMessage *msg)
{
}


void	CPopUpMenu::AttachedToWindow()
{
}


void	CPopUpMenu::DetachedFromWindow()
{
}


void	CPopUpMenu::FrameMoved(CPoint new_position)
{
}


void	CPopUpMenu::FrameResized(float inWidth, float inHeight)
{
}


void	CPopUpMenu::ResizeToPreferred()
{
}


void	CPopUpMenu::GetPreferredSize(float *outWidth, float *outHeight)
{
}


void	CPopUpMenu::MakeFocus(bool state)
{
}


void	CPopUpMenu::AllAttached()
{
}


void	CPopUpMenu::AllDetached()
{
}


CPoint	CPopUpMenu::ScreenLocation()
{
	if (!IsRadioMode())
		return CMenu::ScreenLocation();
	
	// FIXME: figure out where the menu should be popped up
	
	return CMenu::ScreenLocation();
}


void	CPopUpMenu::FBC_PopUpMenu1()	{}
void	CPopUpMenu::FBC_PopUpMenu2()	{}
void	CPopUpMenu::FBC_PopUpMenu3()	{}

